<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreateDatosProveedores extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('datos_proveedores')
            ->addColumn('proveedor_rut', 'integer', ['signed' => false, 'null' => false])
            ->addForeignKey('proveedor_rut', 'proveedores', ['rut'], ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('direccion_id', 'integer', ['signed' => false, 'null' => true])
            ->addForeignKey('direccion_id', 'direccion', ['id'], ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('telefono', 'string', ['limit' => 255, 'null' => true])
            ->addColumn('giro', 'string', ['limit' => 255, 'null' => true])
            ->create();
    }
}
